Skip to main content
PATCH
Update an annotation

Authorizations

Authorization
string
header
required

Basic authentication using an API key, e.g. {Authorization: Bearer aff_0bb4fbdf97b7e4111ff6c0015471094155f91}. You can find your API key within the Settings page of the Affinda web app. You can obtain an API key by signing up for a free trial.

Path Parameters

id
integer
required

Annotation's ID

Required range: x >= 1
Example:

1

Body

application/json

Annotation data to update

rectangles
object[]

x/y coordinates for the rectangles containing the data. An annotation can be contained within multiple rectangles.

document
string

Unique identifier for the document

pageIndex
integer | null

The page number within the document, starting from 0.

Required range: x >= 0
Example:

0

raw
string | null

Raw data extracted from the before any post-processing

parsed
isClientVerified
boolean

Indicates whether the data has been validated by a human

dataPoint
string

Data point's identifier

field
string | null

Field's identifier

parent
integer | null

The parent annotation's ID

validationResults
(object | null)[]

The validation results created, changed or deleted as a result of updating the annotation.

Response

object | null

Successfully updated annotation data.

id
integer
required

Annotation's ID

Required range: x >= 1
Example:

1

rectangle
object | null
required

x/y coordinates for the rectangular bounding box containing the data

rectangles
object[]
required

x/y coordinates for the rectangles containing the data. An annotation can be contained within multiple rectangles.

document
string
required

Unique identifier for the document

pageIndex
integer | null
required

The page number within the document, starting from 0.

Required range: x >= 0
Example:

0

raw
string | null
required

Raw data extracted from the before any post-processing

confidence
number | null
required

The overall confidence that the model's prediction is correct

Example:

0.86

classificationConfidence
number | null
required

The model's confidence that the text has been classified correctly

Example:

0.95

textExtractionConfidence
number | null
required

If the document was submitted as an image, this is the confidence that the text in the image has been correctly read by the model

Example:

0.9

isVerified
boolean
required

Indicates whether the data has been validated, either by a human using our validation tool or through auto-validation rules

isClientVerified
boolean
required

Indicates whether the data has been validated by a human

isAutoVerified
boolean
required

Indicates whether the data has been auto-validated

contentType
enum<string>
required

The different data types of annotations

Available options:
text,
integer,
float,
decimal,
date,
datetime,
daterange,
boolean,
enum,
location,
phonenumber,
json,
table,
expectedremuneration,
jobtitle,
language,
skill,
yearsexperience,
group,
table_deprecated,
url,
image,
docclf
dataPoint
string

Data point's identifier

field
string | null

Field's identifier

parent
integer | null

The parent annotation's ID